﻿@*<script type="text/javascript" src="@Url.Content("~/Scripts/CommonMessage/common-message.js")"></script>*@

<script type="text/javascript">

    var CLEAR_STATUS = "N";
    var isOnSearching = "N";
    var mode;
    var valSearch, valClear, valDownload;

    String.prototype.endsWith = function (suffix) { return this.indexOf(suffix, this.length - suffix.length) !== -1; };

    function MessageShow() {
        PU_Add.Show();
    }     

    function Gv_PickingListInquiryPart_SelectionChanged(s, e) {

    }
    function setFilterParamterPart(s, e) {
        var pPICKING_LIST_NO = I_PICKING_LIST_NO_2.GetText();
        var pPART_NO = I_PART_NO_2.GetText();
        var pORDER_NO = I_ORDER_NO_2.GetText();

        e.customArgs["pPICKING_LIST_NO"] = pPICKING_LIST_NO;
        e.customArgs["pPART_NO"] = pPART_NO;
        e.customArgs["pORDER_NO"] = pORDER_NO; 
        e.customArgs["Mode"] = "Search";
    }

    function unSetFilterParamterPart(s, e) {
        e.customArgs["pPICKING_LIST_NO"] = "XX/XX/XX";
        e.customArgs["pPART_NO"] = "XX/XX/XX";
        e.customArgs["pORDER_NO"] = "XX/XX/XX"; 
        e.customArgs["Mode"] = "Clear";
    }


    function OnDetailGridBeginCallback(s, e) {
        var pPICKING_LIST_NO = T_PICKING_LIST_NO.GetText(); 
        e.customArgs["pPICKING_LIST_NO"] = pPICKING_LIST_NO;
 

    }

    function OnDetailGridBeginCallback(s, e) {
        var pPICKING_LIST_NO = T_PICKING_LIST_NO.GetText(); 
        e.customArgs["pPICKING_LIST_NO"] = pPICKING_LIST_NO; 
    }

    function OnBeginCallBackPopupPart(s, e) { 
        setFilterParamterPart(s, e);
    } 

    function OnBeginCallBackPopup(s, e) {
        var pPICKING_LIST_NO = T_PICKING_LIST_NO.GetText();
        e.customArgs["pPICKING_LIST_NO"] = pPICKING_LIST_NO; 
    } 
   
    function OnEndCallbackPart(s, e) {
        I_PICKING_LIST_NO_2.SetText(T_PICKING_LIST_NO.GetText());
        I_PICKING_LIST_DATE_2.SetText(T_PICKING_LIST_DATE.GetText());
        I_PICKING_LIST_TIME_2.SetText(T_PICKING_LIST_TIME.GetText());
        I_ZONE_2.SetText(T_ZONE.GetText()); 
    }

    function OnClearPart(s, e) {
        CLEAR_STATUS_PART = "Y"; 
        I_ORDER_NO_2.SetText('');
        I_PART_NO_2.SetText('');
        I_PRINT_2.SetText('');

        //Gv_PickingListInquiryPart.UnselectAllRowsOnPage();
        //Gv_PickingListInquiryPart.ClearFilter();
    }

    function OnSearchPart(s, e) {
        //isOnSearchingPart = "Y";
        Gv_PickingListInquiryPart.ClearFilter();
    }

    function OnPrintPart(s, e) {
        //var pPICKING_LIST_NO = I_PRINT.GetText();
        $("#message-displayer").hide();
        var selectedrow = Gv_PickingListInquiryPart.GetSelectedRowCount();

        if (selectedrow == 0) {
            alert("@ViewBag.MSPXS2017ERR");
        }
        else if (confirm("Are you sure to Print ?")) {
            var listKeyDelete = Gv_PickingListInquiryPart.GetSelectedKeysOnPage();
            var iListKeyDelete = listKeyDelete[0].toString();
            console.log(listKeyDelete);
            for (var i = 1; i < Gv_PickingListInquiryPart.GetSelectedRowCount() ; i++) {
                iListKeyDelete += ";";
                iListKeyDelete += listKeyDelete[i].toString();
            }
            $.ajax({
                type: "POST",
                url: "@Url.Content("~/PickingListInquiry/GenaretePDFPartNo")",
                data: {
                    pMANIFEST_NO: iListKeyDelete
                },
                success: function (result) {
                    console.log(result);
                    if (result.success != "true")
                        alert(result.messages);
                    else {
                        for (var i = 0; i < result.FILE_NAME.length; i++) {
                            link = "@Url.Content("~/Content/ReportResult/")" + result.FILE_NAME[i];;
                        window.open(link, "_blank");

                        }
                    }
                }
            });
        }
    }

    function OnBeginCallBackPopupKanban(s, e) {
        var pPICKING_LIST_NO = TT_PICKING_LIST_NO.GetText();
        var pPART_NO = TT_PART_NO.GetText();
        var pTMAP_ITEM_NO = TT_TMAP_ITEM_NO.GetText();
        //var pPART_NO        = T_PART_NO.GetText();

        e.customArgs["pPICKING_LIST_NO"] = pPICKING_LIST_NO;
        e.customArgs["pPART_NO"] = pPART_NO;
        e.customArgs["pTMAP_ITEM_NO"] = pTMAP_ITEM_NO;
        //e.customArgs["pPART_NO"] = pPART_NO;
    }
    
    function OnDetailGridBeginCallbackKanban(s, e) {
        var pPICKING_LIST_NO = TT_PICKING_LIST_NO.GetText();
        var pPICKING_LIST_DATE = TT_PICKING_LIST_DATE.GetText();
        var pPICKING_LIST_TIME = T_PICKING_LIST_TIME.GetText();
        var pZONE = T_ZONE.GetText();

        e.customArgs["pPICKING_LIST_NO"] = pPICKING_LIST_NO;
        //e.customArgs["pPART_NO"] = pPART_NO;
    }

    function OnHyperLinkClickKanban(PICKING_LIST_NO, PART_NO, TMAP_ITEM_NO) {
        $("#message-displayer").hide();
        TT_PICKING_LIST_NO.SetText(PICKING_LIST_NO);
        TT_PART_NO.SetText(PART_NO);
        TT_TMAP_ITEM_NO.SetText(TMAP_ITEM_NO);
        _PopUpLogKanban.Show();
        _PopUpLogKanban.SetWidth(500);
    }

    function OnEndCallbackPartGrid(s,e) {

    }

    function OnEndCallbackKanbanGrid(s, e) {

    }
     
    function OnPrintKanban(s, e) {
        //var pPICKING_LIST_NO = I_PRINT.GetText();
        $("#message-displayer").hide();
        var selectedrow = Gv_PickingListInquiryKanban.GetSelectedRowCount();

        if (selectedrow == 0) {
            alert("@ViewBag.MSPXS2017ERR");
        }
        else if (confirm("Are you sure to Print Kanban?")) {
            var listKeyDelete = Gv_PickingListInquiryKanban.GetSelectedKeysOnPage();
            var iListKeyDelete = listKeyDelete[0].toString();
            for (var i = 1; i < Gv_PickingListInquiryKanban.GetSelectedRowCount() ; i++) {
                iListKeyDelete += ";";
                iListKeyDelete += listKeyDelete[i].toString();
            }
            $.ajax({
                type: "POST",
                url: "@Url.Content("~/PickingListInquiry/GenaretePDFKanban")",
                data: {
                    pMANIFEST_NO: iListKeyDelete
                },
                success: function (result) {
                    console.log(result);
                    
                    if (result.success != "true")
                        alert(result.messages);
                    else {
                        for(var i=0;i < result.FILE_NAME.length;i++){
                            link = "@Url.Content("~/Content/ReportResult/")" + result.FILE_NAME[i];
                            window.open(link, "_blank");
                        }
                    }
                }
            });
        }
    }


    function Gv_PickingListInquiryKanban_SelectionChanged(s, e) {

    }
   
</script>

@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "PU_Add";
    settings.CallbackRouteValues = new { Controller = "PickingListInquiry", Action = "_PopUpLog" };
    settings.ClientSideEvents.BeginCallback = "OnBeginCallBackPopup";
    settings.ClientSideEvents.EndCallback = "OnEndCallbackPart";
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.ShowFooter = true;
    settings.FooterText = " ";
    settings.AllowDragging = true;
    settings.EnableHotTrack = true;
    settings.PopupAnimationType = AnimationType.Slide;
    settings.Height = 360;
    settings.MinHeight = 250;
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(1180);
    settings.LoadContentViaCallback = LoadContentViaCallback.OnFirstShow;
    settings.Modal = true;
    settings.HeaderText = "Picking List Inquiry - Detail Parts";
}).GetHtml()



@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "_PopUpLogKanban";
    settings.CallbackRouteValues = new { Controller = "PickingListInquiry", Action = "_PopUpLogKanban" };
    settings.ClientSideEvents.BeginCallback = "OnBeginCallBackPopupKanban";
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.ShowFooter = true;
    settings.FooterText = " ";
    settings.AllowDragging = true;
    settings.EnableHotTrack = true;
    settings.PopupAnimationType = AnimationType.Slide;
    settings.Height = 460;
    settings.MinHeight = 250;
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(500);
    settings.LoadContentViaCallback = LoadContentViaCallback.OnFirstShow;
    settings.Modal = true;
    settings.HeaderText = "Picking List Inquiry - Detail Kanban";
}).GetHtml()